#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Python module to run and analyze benchmarks
Summary(pl.UTF-8):	Moduł Pythona do uruchamiania i analizy testów wydajności
Name:		python-pyperf
# keep 1.x here for python2 support
Version:	1.7.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyperf/
Source0:	https://files.pythonhosted.org/packages/source/p/pyperf/pyperf-%{version}.tar.gz
# Source0-md5:	d9e894dc843bb7f0abff109931a29895
URL:		https://pypi.org/project/pyperf/
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-nose
BuildRequires:	python-psutil
BuildRequires:	python-statistics
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Python pyperf module is a toolkit to write, run and analyze
benchmarks.

%description -l pl.UTF-8
Moduł Pythona pyperf to zestaw narzędzi do tworzenia, uruchamiania i
analizy testów wydajności (benchmarków).

%package apidocs
Summary:	API documentation for Python pyperf module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pyperf
Group:		Documentation

%description apidocs
API documentation for Python pyperf module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pyperf.

%prep
%setup -q -n pyperf-%{version}

%build
%py_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python} -m nose pyperf/tests
%endif

%if %{with doc}
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pyperf{,-2}
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/pyperf/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README.rst TODO.rst
%attr(755,root,root) %{_bindir}/pyperf-2
%{py_sitescriptdir}/pyperf
%{py_sitescriptdir}/pyperf-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_images,_static,*.html,*.js}
%endif
%changelog
* Fri Jun 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyperf.git;a=log;h=master

* Fri Jun 27 2025 Jakub Bogusz <qboosh@pld-linux.org> a265030
- new, last version for python2

